
#ifndef _LZWF_H_
  #define _LZWF_H_

  #define LZWF_ERR_NONE 0
  #define LZWF_ERR_INPUT 1
  #define LZWF_ERR_OUTPUT 2

  #include "lzw.h"

  extern int LZWF_init (TLZW *lzw, const char *inFile, const char *outFile);
  extern int LZWF_getChar (void);
  extern int LZWF_putChar (int c);
  extern void LZWF_done (TLZW *lzw);

#endif
