
#ifndef _LIN_H
  #define _LIN_H

  #ifdef __cplusplus
  extern "C" {
  #endif

  #include "cgdk.h"

  extern void cdecl LIN_movSpr_ (void *dst, int dstFormatX,
                           void *spr, int sprFormatX,
                           int sprSizeX,int sprSizeY);

  extern void cdecl LIN_movWin_ (void *dst, int dstFormatX,
                           void *spr, int sprFormatX,
                           int sprSizeX,int sprSizeY);

  #if (defined __TURBOC__) || (defined CGDK_TRIAL)
    extern void LIN_sprcpy (void *dst, void *spr, int count);
    extern void LIN_memcpy (void *dst, void *spr, int count);
  #else
    #define LIN_sprcpy(dst,spr,count) LIN_movSpr_(dst,count,spr,count,count,1)
    #define LIM_memcpy(dst,spr,count) LIN_movWin_(dst,count,spr,count,count,1)
  #endif

  extern void LIN_memset_ (void *dst, int dstFormatX,
                           int sprSizeY, int value, int sprSizeX);

  extern void LIN_memset (void *dst, int x, int y, int dstFormatX, int dstFormatY,
                         int value, int sprSizeX, int sprSizeY);

  extern void LIN_movWin (void *dst, int x, int y, int dstFormatX, int dstFormatY,
                         void *spr, int sprFormatX, int sprSizeX, int sprSizeY);

  extern void LIN_movSpr (void *dst, int x, int y, int dstFormatX, int dstFormatY,
                         void *spr, int sprFormatX, int sprSizeX, int sprSizeY);

  extern void LIN_get (void *dst, int x, int y, int dstFormatX, int dstFormatY,
                   void *spr, int sprFormatX, int sprSizeX, int sprSizeY);

  #ifdef __cplusplus
  }
  #endif

#endif
